#!/bin/sh
#
# Must be run as root / sudo

dnf -y install emacs git tmux gnupg2 dnf-plugins-core make go pinentry transmission-remote-cli

# docker
dnf config-manager --add-repo https://download.docker.com/linux/fedora/docker-ce.repo
dnf -y install docker-ce docker-ce-cli containerd.io
systemctl enable docker
systemctl start docker

# docker-machine
DOCKER_MACHINE_URL=https://github.com/docker/machine/releases/download/v0.16.0
curl -L $DOCKER_MACHINE_URL/docker-machine-$(uname -s)-$(uname -m) > /tmp/docker-machine
install /tmp/docker-machine /usr/local/bin/docker-machine

# docker-compose
DOCKER_COMPOSE_URL=https://github.com/docker/compose/releases/download/1.23.2
curl -L $DOCKER_COMPOSE_URL/docker-compose-$(uname -s)-$(uname -m) -o /usr/local/bin/docker-compose
chmod 755 /usr/local/bin/docker-compose

# Security
sed -i 's/^.*PubkeyAuthentication.*$/PubkeyAuthentication yes/' /etc/ssh/sshd_config
sed -i 's/^.*PasswordAuthentication.*$/PasswordAuthentication no/' /etc/ssh/sshd_config
service sshd restart
